Subject: Re: bug#27243: another case: dired-auto-revert-buffer jumps point to beginning of buffer

From: martin rudalics <[email-masked]>
Date: Wed, 27 May 2020 16:52:59 +0200

> In the recipe, when you are in emacs -Q, it's enough to select the
 > second window before the last step to make the issue happen.

Anything that moves point of that buffer elsewhere.  This includes
selecting another window on that buffer whose window-point does not
equal that of the window we switched away from.

 > There is no restoration of the old window's window-point, I think it's
 > the buffer's current value of point that becomes window-point in the
 > first window.  I verified here that when running the recipe the function
 > `window-prev-buffers' is never consulted.

Right.  Maybe we should call 'switch-to-buffer' here so people with
'switch-to-buffer-obey-display-actions' non-nil get the
'pop-to-buffer-same-window' behavior and others are unaffected.  Let's
wait for Juri to comment.

martin